/*
 * Cueplot: a GUI front-end to gnuplot
 * Copyright (C) 2007 Muneyuki Noguchi
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include "Encoding.h"

const char * const Encoding::VALUE[] = {
	QT_TRANSLATE_NOOP("Encoding", "default"),
	"iso_8859_1", "iso_8859_2", "iso_8859_15", "cp850",
	"cp852", "cp437", "koi8r", ""
};

Encoding::Encoding() : value_(0)
{
}

void Encoding::setValue(int val)
{
	value_ = val;
}

int Encoding::value() const
{
	return value_;
}

QString Encoding::command() const
{
	return "set encoding " + QString(VALUE[value_]);
}
